## magic code #########################
from medialib import *
#######################################
initialize() # always the first instruction of the program



## 1- just an example: a monster with 3 eyes, forming a triangle
clear()
text("1. a monster with 3 eyes, forming a triangle",10,200,16)
draw("eye.png", 10,5)
draw("eye.png",110,5)
draw("eye2.png", 60,55)

text("Click the left button on the mouse to continue...",10,500,16)
wait_mouse_leftclick()

## Another correct solution would be:

#draw("eye.png", 10         ,5)
#draw("eye.png", 10+100     ,5)
#draw("eye.png", (10+(10+100))/2 ,5+50)
## where python does all the work! ;)

## 2- make a monster with 3 eyes in a line

clear()
text("2. a monster with 3 eyes in a line",10,200,16)

draw("eye.png", 50,350)
draw("eye.png", 50+100,350)
draw("eye.png", 50+100*2,350)
text("Click the left button on the mouse to continue...",10,500,16)
wait_mouse_leftclick()

## 3- make a monster with 6 eyes, places like
##   1 2 3
##     4 5 6 
## The first eye should be at position 100,100.
## Place the second eye 60 pixels more to the right.

clear()

text("3. make a monster with 6 eyes",10,200,16)
draw("eye.png", 100,100)          ## eye 1
draw("eye.png", 100+60,100)       ## eye 2
draw("eye.png", 100+60*2,100)     ## eye 3

draw("eye.png", 100+60   , 100+40)    ## eye 4
draw("eye.png", 100+60*2 , 100+40)    ## eye 5
draw("eye.png", 100+60*3 , 100+40)    ## eye 6

text("Click the left button on the mouse to continue...",10,500,16)
wait_mouse_leftclick()

## 4- make a monster with 4 eyes, placed around the corners of a square of side 90 pixels
##             1     2
##             
##             
##             4     3
##

clear()
text("4. a monster with 4 eyes, placed around the corners of a square",10,200,16)
draw("eye2.png", 500    , 200)          ## eye 1
draw("eye.png",  500+90 , 200)          ## eye 2
draw("eye.png",  500+90 , 200+90)       ## eye 3
draw("eye.png",  500    , 200+90)       ## eye 4

text("Click the left button on the mouse to continue...",10,500,16)
wait_mouse_leftclick()

all_done() ## always the last instruction
