## Example of "Top-Down problem analysis"
##
## The game of rock-paper-scissors has the following steps:
## 1- the computer randomly makes a move
## 2- the player inputs his/her move
## 3- the computer shows both moves
## 4- then the computer evaluates the 2 moves and decides who won
##
## No graphics, i.e. no Medialib for now ...
##
from random import *

## -----------------------------------------------------------
## Now, let's define a function for each step of the game
## -----------------------------------------------------------

## 1- the computer randomly makes a move
def compute_random_move():
	return "scissors" ## this is wrong, but it is OK to debug, for now

## 2- the player inputs his/her move
def player_input_move():
	return "paper" ## just to debug

## 3- the computer shows both moves
def show_both_moves():
	print("to do ... ", user_choice, computer_choice)

## 4- then the computer evaluates the 2 moves and decides who won
def decide_who_won():
	print("to do ... I'm not sure at this point in time... :> ")

## -----------------------------------------------------------
## The rest of the code is just calling all the above functions, 
## in the right sequence
## -----------------------------------------------------------

computer_choice = compute_random_move()
user_choice = player_input_move()
show_both_moves()
decide_who_won()

input('Press the ENTER key to exit.')