## Better style:
## 1- use lists and dictionaries to group data together
## 2- use functions to make your code more readable

from medialib import *
from random import *

## Now: like before, but two differnt rectangles
##      and the second rectangle has a different color

initialize() 

is_running = True

clear(100,0,0)
counter = 0
while is_running:
    counter = counter + 1

    clear()

    ## rectangle 1 ----------------------------
    ## external, white rectangle
    rect(400-counter/2,300-counter/2,
            10+counter,10+counter)
    ## internal, background-color rectangle
    rect(400-counter/2+5,300-counter/2+5,
            10+counter-10,10+counter-10,
            100,0,0)

    ## rectangle 2 ----------------------------
    ## external, white rectangle
    rect(100-counter/2,100-counter/2,
            10+counter,10+counter,
            0,150,0)
    ## internal, background-color rectangle
    rect(100-counter/2+5,100-counter/2+5,
            10+counter-10,10+counter-10,
            100,0,0)
    
    if counter>100:
        counter = 0

    if is_mouse_press():
        is_running = False

    ## slow down the animation
    wait(0.050)

all_done()
