from medialib import *
initialize()

print('OneDimensional game')
print('===================')
print('You are a lost hero, and have to find your way back home...')
print('reach the door to leave this level and get closer to home!\n')
print('To play: press a and d keys to move left and right')
print('         press s to jump on the button')
print('         press q to quit the game')

## game state
game_running = True
victory = False
terrain = list('X-----T--wwwww-----E----X') ## convert to a list
pos = 3  ## initial position of the player's avatar
collidables = 'Xw'

clear(245,245,245) ## almost white
while game_running:
    ## draw the game state
    clear()
    x = 0
    for cell in terrain:
        draw('OneDimensionalGame_imgs/%s.png' % cell,x+10,200)
        x+=30
    draw('OneDimensionalGame_imgs/P.png',pos*30+10,200) # player

    ## did you win?
    if terrain[pos]=='E': # player is standing on the exit!
        victory = True
        break ## jumps directly to the end of this while loop

    ## check and react to input
    key = wait_key_press()

    if key=='q':
        game_running = False
        break ## jumps directly to the end of this while loop

    ## update game state
    if key=='a':
        if not terrain[pos-1] in collidables:
            pos = pos-1

    if key=='d':
        if not terrain[pos+1] in collidables:
            pos = pos+1

    if key=='s':
        if terrain[pos]=='T':
            terrain[pos] = '_'
            ## change all waters to bridges
            for index in range(0,len(terrain)):
                if terrain[index]=='w':
                    terrain[index] = '='

if victory:
    draw('OneDimensionalGame_imgs/you_win.png',100,50)
    print('Congratulations! You won!')
else:
    print('***G*A*M*E***O*V*E*R***')

wait(2)
all_done()
