from json import *
from urllib.request import *
from csv import *

##########################################
# DOWNLOADING THE DATA FROM THE API ######
##########################################

API_KEY = "4b7910a5" # change it to your API_KEY ;)


title = "Iron%20Man"
request = urlopen("http://www.omdbapi.com/?t=" + title + "&plot=short&apikey=" + API_KEY)
my_data = request.read().decode('utf-8')
d1 = loads(my_data)
print("*"*20 , "Movie:" , title , "*"*30)
print(d1)
print("--->" , d1["Ratings"][0]["Source"], d1["Ratings"][0]["Value"] )

title = "The%20Incredible%20Hulk"
request = urlopen("http://www.omdbapi.com/?t=" + title + "&plot=short&apikey=" + API_KEY)
my_data = request.read().decode('utf-8')
print("*"*20 , "Movie:" , title , "*"*30)
d2 = loads(my_data)
print(d2)

title = "Iron%20Man%202"
request = urlopen("http://www.omdbapi.com/?t=" + title + "&plot=short&apikey=" + API_KEY)
my_data = request.read().decode('utf-8')
print("*"*20 , "Movie:" , title , "*"*30)
d3 = loads(my_data)
print(d3)

title = "Thor"
request = urlopen("http://www.omdbapi.com/?t=" + title + "&plot=short&apikey=" + API_KEY)
my_data = request.read().decode('utf-8')
print("*"*20 , "Movie:" , title , "*"*30)
d4 = loads(my_data)
print(d4)

##################################
# SAVING DATA TO A CSV FILE ######
##################################
my_file = open("movies_data.csv","w",newline="")
the_csv_writer = writer(my_file)


rowHeader = ["Title","Year","Genres","Director","Actors","Country","Awards",
				"RatingBy","Rating"]
the_csv_writer.writerow(rowHeader)

row1 = [d1["Title"],d1["Year"],d1["Genre"],d1["Director"],d1["Actors"],d1["Country"],d1["Awards"],
		d1["Ratings"][0]["Source"],d1["Ratings"][0]["Value"] ]
the_csv_writer.writerow(row1)

row2 = [d2["Title"],d2["Year"],d2["Genre"],d2["Director"],d2["Actors"],d2["Country"],d2["Awards"],
		d2["Ratings"][0]["Source"],d2["Ratings"][0]["Value"] ]
the_csv_writer.writerow(row2)

row3 = [d3["Title"],d3["Year"],d3["Genre"],d3["Director"],d3["Actors"],d3["Country"],d3["Awards"],
		d3["Ratings"][0]["Source"],d3["Ratings"][0]["Value"] ]
the_csv_writer.writerow(row3)

row4 = [d4["Title"],d4["Year"],d4["Genre"],d4["Director"],d4["Actors"],d4["Country"],d4["Awards"],
		d4["Ratings"][0]["Source"],d4["Ratings"][0]["Value"] ]
the_csv_writer.writerow(row4)


my_file.close()
print("File saved.")
