## Wikipedia Web API
## look at https://en.wikipedia.org/api/rest_v1/
## and: https://en.wikipedia.org/api/rest_v1/page/summary/Amsterdam

import urllib.request
import json

## I ask you to give me a topic,
## then I download the title information from wikipedia!
topic = input('Type a topic [example: Asimov] ')
request = urllib.request.urlopen("https://en.wikipedia.org/api/rest_v1/page/title/%s" % topic)
title_data = request.read()
#print(title_data)
#print( type(title_data) )

print('-_'*20)
dictionary = json.loads(title_data.decode())
print( dictionary )
#print( dictionary.get('items') )
print( 'The language of the page is',
        dictionary.get('items')[0]['page_language'] )

## now I will download the summary for the topic, from wikipedia
request = urllib.request.urlopen("https://en.wikipedia.org/api/rest_v1/page/summary/%s" % topic)
summary_data = request.read()
print('-_'*20)
summary_dict = json.loads(summary_data.decode())
print( 'Summary')
print( '=======')
print( summary_dict['extract'] )

words = summary_dict['extract'].split()
tenth_word = words[10-1]
print( 'The tenth word of the summary is', tenth_word)
